=== src/CMakeLists.txt ===
subdirs(arcproxy-ui arcstat-ui arcstorage-ui arccert-ui arcsub-ui)
