=== debian/changelog ===
arc-gui-clients (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #688092)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 18 Sep 2012 16:39:11 +0200
