=== debian/control ===
Source: arc-gui-clients
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/arc-gui-clients/

Package: arc-gui-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC Graphical Clients
 Provides graphical clients to the NorduGrid ARC middleware.
