## arc-gui-clients 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,17 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 find_package(OpenSSL REQUIRED)
-find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork REQUIRED)
+
+set(QT_MAKE_EXECUTABLE "/opt/local/bin/qmake")
+find_package(Qt4 COMPONENTS QtMain QtCore QtGui QtSql QtXml QtNetwork QtWebKit REQUIRED)
 find_package(Glib REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(Glibmm REQUIRED)
 find_package(Arc REQUIRED)
 
+configure_file(${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h.in ${CMAKE_SOURCE_DIR}/src/common/arc-gui-config.h)
+
 include(${QT_USE_FILE})
-#message(${QT_USE_FILE})
 
 subdirs(src)
 
@@ -20,10 +23,10 @@
 set(CPACK_PACKAGE_NAME "arc-gui-clients")
 set(CPACK_PACKAGE_VENDOR "lunarc.lu.se")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Graphical clients for the ARC middleware")
-set(CPACK_PACKAGE_VERSION "0.3.1")
+set(CPACK_PACKAGE_VERSION "0.4.3")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "3")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_VERSION_MINOR "4")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_BINARY_RPM "ON")
 set(CPACK_RPM_PACKAGE_VENDOR "Lunarc, Lund University")
 set(CPACK_RPM_PACKAGE_LICENSE "Apache License V2.0")
@@ -45,6 +48,7 @@
         ./builddir/
         ./bin/
 )
+SET(CPACK_RPM_PACKAGE_DEBUG 1)
 include(CPack)
 
 include(CheckFileOffsetBits)
