=== src/CMakeLists.txt ===
subdirs(arccert-ui arcsub-ui arcstat-ui arcproxy-ui arcstorage-ui)
