=== src/arccert-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,16 @@
 include(${QT_USE_FILE})
 
 SET(arccertui_UIS
-    mainwindow.ui
+    certconvertwindow.ui
 )
 
 SET(arccertui_SRCS
-  mainwindow.cpp
+  certconvertwindow.cpp
   main.cpp
 )
 
 SET(arccertui_MOC_HDRS
-  mainwindow.h
+  certconvertwindow.h
 )
 
 #SET(arccertui_RCS 
@@ -24,7 +24,7 @@
 QT4_WRAP_UI(arccertui_UIS_H ${arccertui_UIS} )
 QT4_ADD_RESOURCES( arccertui_RC_SRCS ${arccertui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arccert-ui 
 	MACOSX_BUNDLE
@@ -67,11 +67,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arccert-ui ${arccertui_SRCS} ${arccertui_MOC_SRCS} ${arccertui_RC_SRCS} ${arccertui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arccert-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})
