=== src/arcproxy-ui/CMakeLists.txt ===
--- 
+++ 
@@ -5,19 +5,24 @@
 SET(arcproxyui_UIS
     ../common/proxywindow.ui
     ../common/infodialog.ui
+    ../common/helpwindow.ui
 )
 
 SET(arcproxyui_SRCS
+  ../common/arcproxy-utils-functions.cpp
   ../common/arcproxy-utils.cpp
   ../common/infodialog.cpp
   ../common/proxywindow.cpp
+  ../common/helpwindow.cpp
   main.cpp
 )
 
 SET(arcproxyui_MOC_HDRS
+  ../common/arcproxy-utils-functions.h
   ../common/arcproxy-utils.h
   ../common/proxywindow.h
   ../common/infodialog.h
+  ../common/helpwindow.h
 )
 
 SET(arcproxyui_RCS 
@@ -29,7 +34,7 @@
 QT4_WRAP_UI(arcproxyui_UIS_H ${arcproxyui_UIS} )
 QT4_ADD_RESOURCES( arcproxyui_RC_SRCS ${arcproxyui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arcproxy-ui 
 	MACOSX_BUNDLE
@@ -72,11 +77,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arcproxy-ui ${arcproxyui_SRCS} ${arcproxyui_MOC_SRCS} ${arcproxyui_RC_SRCS} ${arcproxyui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arcproxy-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})
