=== src/arcstorage-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,57 +3,71 @@
 include(${QT_USE_FILE})
 
 set(arcstorageui_UIS
-    mainwindow.ui
+    arcstoragewindow.ui
     filepropertiesdialog.ui
     srmsettingsdialog.ui
     transferlistwindow.ui
+    applicationsettings.ui
+    filepropertyinspector.ui
+    renamedialog.ui
     ../common/proxywindow.ui
+    ../common/helpwindow.ui
 )
 
 set(arcstorageui_SRCS
     main.cpp
-    mainwindow.cpp
+    arcstoragewindow.cpp
     fileserver.cpp
     arcfileelement.cpp
     dragdropabletreewidget.cpp
     fileserverfactory.cpp
     filepropertiesdialog.cpp
-    srmfileserver.cpp
+    arcfileserver.cpp
     srmsettingsdialog.cpp
     settings.cpp
     filetransfer.cpp
     filetransferlist.cpp
     transferlistwindow.cpp
     globalstateinfo.cpp
+    applicationsettings.cpp
+    filepropertyinspector.cpp
+    renamedialog.cpp
     ../common/arctools.cpp
     ../common/arcproxy-utils.cpp
+    ../common/arcproxy-utils-functions.cpp
     ../common/proxywindow.cpp
+    ../common/helpwindow.cpp
 )
 
 set(arcstorageui_MOC_HDRS
-    mainwindow.h
+    arcstoragewindow.h
     filepropertiesdialog.h
-    srmfileserver.h
+    arcfileserver.h
     srmsettingsdialog.h
     filetransfer.h
     filetransferlist.h
     transferlistwindow.h
     globalstateinfo.h
+    applicationsettings.h
+    filepropertyinspector.h
+    renamedialog.h
     ../common/arctools.h
     ../common/arcproxy-utils.h
     ../common/proxywindow.h
+    ../common/arcproxy-utils-functions.h
+    ../common/helpwindow.h
 )
 
-#SET(arcexplorerui_RCS 
-#  arcexplorer-ui.qrc
-#)
+SET(arcstorageui_RCS
+  arcstorage-ui-resources.qrc
+)
 
 # After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
 QT4_WRAP_CPP(arcstorageui_MOC_SRCS ${arcstorageui_MOC_HDRS} )
 QT4_WRAP_UI(arcstorageui_UIS_H ${arcstorageui_UIS} )
-#QT4_ADD_RESOURCES( arcstorageui_RC_SRCS ${arcstorageui_RCS} )
+QT4_ADD_RESOURCES(arcstorageui_RC_SRCS ${arcstorageui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 	add_executable(arcstorage-ui 
 	MACOSX_BUNDLE ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} 
 	../../images/arcstorage_icon.icns )
@@ -93,9 +107,9 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
-	add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_UIS_H} )
-ENDIF(APPLE)
+ELSE(APPLES)
+        add_executable(arcstorage-ui ${arcstorageui_SRCS} ${arcstorageui_MOC_SRCS} ${arcstorageui_RC_SRCS} ${arcstorageui_UIS_H} )
+ENDIF(APPLES)
 
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/src/common ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
