=== src/arcsub-ui/CMakeLists.txt ===
--- 
+++ 
@@ -3,30 +3,46 @@
 include(${QT_USE_FILE})
 
 SET(arcsubui_UIS
-    mainwindow.ui
+    jobdefinitionwindow.ui
+    ../common/proxywindow.ui
+    ../common/helpwindow.ui
 )
 
 SET(arcsubui_SRCS
-  mainwindow.cpp
+    ../common/arctools.cpp
+    ../common/arcproxy-utils.cpp
+    ../common/arcproxy-utils-functions.cpp
+    ../common/proxywindow.cpp
+    ../common/helpwindow.cpp  
+  arcsubmitcontroller.cpp
+  utils.cpp
+  jobdefinitionwindow.cpp
   jobdefinitions.cpp
   main.cpp
 )
 
 SET(arcsubui_MOC_HDRS
+    ../common/arctools.h
+    ../common/arcproxy-utils.h
+    ../common/proxywindow.h
+    ../common/arcproxy-utils-functions.h
+    ../common/helpwindow.h
+  arcsubmitcontroller.h
+  utils.h
   jobdefinitions.h
-  mainwindow.h
+  jobdefinitionwindow.h
 )
 
-#SET(arccertui_RCS 
-#  arcproxy-ui.qrc
-#)
+SET(arcsubui_RCS
+  arcsubui.qrc
+)
 
 # After this call, foo_MOC_SRCS = moc_Class1.cxx moc_Class2.cxx moc_Class3.cxx.
 QT4_WRAP_CPP(arcsubui_MOC_SRCS ${arcsubui_MOC_HDRS} )
 QT4_WRAP_UI(arcsubui_UIS_H ${arcsubui_UIS} )
 QT4_ADD_RESOURCES( arcsubui_RC_SRCS ${arcsubui_RCS} )
 
-IF(APPLE)
+IF(APPLES)
 ADD_EXECUTABLE(
 	arcsub-ui 
 	MACOSX_BUNDLE
@@ -69,11 +85,11 @@
 	PROPERTIES
 	MACOSX_PACKAGE_LOCATION Resources
 )
-ELSE(APPLE)
+ELSE(APPLES)
 	add_executable(arcsub-ui ${arcsubui_SRCS} ${arcsubui_MOC_SRCS} ${arcsubui_RC_SRCS} ${arcsubui_UIS_H} )
-ENDIF(APPLE)
+ENDIF(APPLES)
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${Arc_INCLUDE_DIRS} ${PROJECT_SOURCE_DIR}/src/common ${GlibmmConfig_INCLUDE_DIR} ${Glibmm_INCLUDE_DIR} ${GlibConfig_INCLUDE_DIR} ${Glib_INCLUDE_DIR} ${SigC++Config_INCLUDE_DIR} ${SigC++_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
 
 target_link_libraries (arcsub-ui ${Arc_LIBRARIES} ${Glibmm_LIBRARY} ${Glib_LIBRARIES} ${SigC++_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_LIBRARIES} ${OPENSSL_SSL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARIES})
