=== debian/changelog ===
arc-gui-clients (0.4.3-1) unstable; urgency=low

  * New release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 May 2013 22:45:38 +0200
