=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
+Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev, libqtwebkit-dev, libglibmm-2.4-dev, nordugrid-arc-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/arc-gui-clients/
