=== debian/changelog ===
arc-gui-clients (0.4.6-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:53 +0000

arc-gui-clients (0.4.6-5) unstable; urgency=medium

  * Port to Qt5 (Closes: #784450, #874817, #875930)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 11 Oct 2017 15:55:09 +0200

arc-gui-clients (0.4.6-4) unstable; urgency=medium

  * Add missing sources to debian/missing-sources (Closes: #849829)
  * Rebuild with gcc 7 - no changes required (Closes: #853318)
  * Remove workaround for too new libsigc++/glibmm (no longer needed)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Sep 2017 14:49:58 +0200

arc-gui-clients (0.4.6-3) unstable; urgency=medium

  * Adapt to ARC 5.1 (Closes: #826831)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Jun 2016 15:04:45 +0200

arc-gui-clients (0.4.6-2) unstable; urgency=medium

  * Add workaround for too new libsigc++/glibmm (-std=c++11) (Closes: #804601)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Nov 2015 15:33:20 +0100

arc-gui-clients (0.4.6-1) unstable; urgency=low

  * New Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 30 Nov 2013 07:08:27 +0100
