=== debian/control ===
Source: arc-gui-clients
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), cmake, qtbase5-dev, libqt5webkit5-dev, libglibmm-2.4-dev, libnss3-dev, nordugrid-arc-dev (>= 5.1)
Standards-Version: 4.1.1
Homepage: http://sourceforge.net/projects/arc-gui-clients/

Package: arc-gui-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARC Graphical Clients
 Provides graphical clients to the NorduGrid ARC middleware.
